package com.tsiwebserver.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.tsiwebserver.VO.ApiInvokeVO;
import com.tsiwebserver.VO.SystemResourceVO;

@Mapper
public interface HistoryMapper {

	List<ApiInvokeVO> searchDateRecodeInvoke(Map<String, Object> list);
	
	List<ApiInvokeVO> searchCustomerInvoke(Map<String, Object> list);

	List<SystemResourceVO> SystemResourceDateSearch(Map<String, Object> list);

	List<SystemResourceVO> systemResourceUserSearch(Map<String, Object> list);

	int getSearchInvokeCnt(Map<String, Object> list);

	int getSearchInvokeUserCnt(Map<String, Object> list);

	int getSearchResourceDailyCnt(Map<String, Object> list);

	int getSearchResourceUserCnt(Map<String, Object> list);
	
	List<String> setOptionApiUser();

	List<String> setOptionResourceUser();
}
